summaryrefslogtreecommitdiffstats
path: root/debian/tests/default-psql
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-13 13:35:12 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-13 13:35:12 +0000
commitf06340a3d93a12d610416030f0b8c766bfee63ca (patch)
tree8d9c4eeec6afd2dc01aa6a17435a4f63c3e769d5 /debian/tests/default-psql
parentAdding upstream version 258. (diff)
downloadpostgresql-common-f06340a3d93a12d610416030f0b8c766bfee63ca.tar.xz
postgresql-common-f06340a3d93a12d610416030f0b8c766bfee63ca.zip
Adding debian version 258.debian/258
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rwxr-xr-xdebian/tests/default-psql19
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/tests/default-psql b/debian/tests/default-psql
new file mode 100755
index 0000000..1890ae6
--- /dev/null
+++ b/debian/tests/default-psql
@@ -0,0 +1,19 @@
+#!/bin/sh
+# autopkgtest to check that installing the "postgresql" metapackage results in
+# a working cluster
+set -e
+
+# disabled default cluster creation?
+if grep -rq '^create_main_cluster\b.*\bfalse\b' /etc/postgresql-common/createcluster.*; then
+ echo "SKIP: default cluster creation disabled in createcluster.conf"
+ exit 77
+fi
+
+if ! pg_lsclusters | grep -q 'main .* online'; then
+ echo "No running cluster!" >&2
+ pg_lsclusters >&2
+fi
+
+# check that we can connect to template1 on the default cluster
+OUT=$(su - -c 'psql -Atc "select 21*2" template1' postgres)
+[ "$OUT" = "42" ] || { echo "$OUT"; exit 1; }